<template>
  <view class="maxMemberInstallment">
    <view class="content">
      <image v-if="iconUrl" class="icon" mode="heightFix" :src="iconUrl" />
      <text>小程序暂不支持MAX会员免息分期，请移步APP操作</text>
    </view>
  </view>
</template>
<script>
export default {
  props: {
    displayInfo: {
      type: Object,
      default: () => {}
    }
  },
  computed: {
    iconUrl() {
      let url = "";
      try {
        url = this.displayInfo.installmentInfo.cancelInterestExplainImgUrl;
      } catch (e) {
        url = "";
      }
      return url;
    }
  }
};
</script>
<style lang="scss" scoped>
.maxMemberInstallment {
  width: 100%;
  padding: 16rpx;
  .content {
    display: flex;
    width: 100%;
    height: 48rpx;
    background: #e8f6ff;
    font-size: 22rpx;
    color: #001746;
    border-radius: 8rpx;
    padding: 0 4px;
    align-items: center;
    .icon {
      width: auto;
      margin-right: 8rpx;
      height: 32rpx;
    }
  }
}
</style>
